## Apache Zeta Components Manual :: Docs For Class ezcReflectionTypeFactory

### Reflection::ezcReflectionTypeFactory

### Interface ezcReflectionTypeFactory

Interface definition for the type factory used by the reflection

Source for this file: /Reflection/src/interfaces/type_factory.php

Version: | //autogen//

### Method Summary

public ezcReflectionType | `getType( $typeName )` Creates a type object for given typeName

### Methods

#### getType

ezcReflectionType getType( string|ReflectionClass $typeName )

Creates a type object for given typeName

##### Parameters:

Name | Type | Description
--- | --- | ---
`$typeName` | string|ReflectionClass |

Documentation generated by phpDocumentor 1.4.3